# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2015-12-31 06:51
from __future__ import unicode_literals

import colorful.fields
from django.db import migrations, models
import django.db.models.deletion
import webmap.utils


class Migration(migrations.Migration):

    dependencies = [
        ('webmap', '0009_mappreset_desc'),
    ]

    operations = [
        migrations.AlterField(
            model_name='layer',
            name='icon',
            field=models.ImageField(blank=True, null=True, storage=webmap.utils.SlugifyFileSystemStorage(), upload_to='layer_icons', verbose_name='layer icon'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='name',
            field=models.CharField(default='', help_text='Name of the layer', max_length=255, verbose_name='name'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='status',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='webmap.Status', verbose_name='status'),
        ),
        migrations.AlterField(
            model_name='legend',
            name='image',
            field=models.ImageField(storage=webmap.utils.SlugifyFileSystemStorage(), upload_to='ikony', verbose_name='image'),
        ),
        migrations.AlterField(
            model_name='mappreset',
            name='base_layer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='webmap.BaseLayer', verbose_name='base layer'),
        ),
        migrations.AlterField(
            model_name='mappreset',
            name='icon',
            field=models.ImageField(storage=webmap.utils.SlugifyFileSystemStorage(), upload_to='preset_icons', verbose_name='preset icon'),
        ),
        migrations.AlterField(
            model_name='mappreset',
            name='status',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='webmap.Status', verbose_name='status'),
        ),
        migrations.AlterField(
            model_name='marker',
            name='default_icon',
            field=models.ImageField(blank=True, null=True, storage=webmap.utils.SlugifyFileSystemStorage(), upload_to='icons', verbose_name='default icon'),
        ),
        migrations.AlterField(
            model_name='marker',
            name='layer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='webmap.Layer', verbose_name='layer'),
        ),
        migrations.AlterField(
            model_name='marker',
            name='line_color',
            field=colorful.fields.RGBColorField(default='#ffc90e', verbose_name='line color'),
        ),
        migrations.AlterField(
            model_name='marker',
            name='menu_icon',
            field=models.ImageField(blank=True, null=True, storage=webmap.utils.SlugifyFileSystemStorage(), upload_to='icons/marker/menu', verbose_name='menu icon'),
        ),
        migrations.AlterField(
            model_name='marker',
            name='status',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='webmap.Status', verbose_name='status'),
        ),
        migrations.AlterField(
            model_name='photo',
            name='license',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='webmap.License', verbose_name='license'),
        ),
        migrations.AlterField(
            model_name='photo',
            name='photo',
            field=models.ImageField(help_text='Upload photo in full resolution.', storage=webmap.utils.SlugifyFileSystemStorage(), upload_to='photo', verbose_name='photo'),
        ),
        migrations.AlterField(
            model_name='photo',
            name='poi',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='photos', to='webmap.Poi', verbose_name='poi'),
        ),
        migrations.AlterField(
            model_name='poi',
            name='marker',
            field=models.ForeignKey(help_text='Select icon, that will be shown in map', on_delete=django.db.models.deletion.PROTECT, related_name='pois', to='webmap.Marker', verbose_name='marker'),
        ),
        migrations.AlterField(
            model_name='poi',
            name='status',
            field=models.ForeignKey(default=0, help_text='POI status, determinse if it will be shown in map', on_delete=django.db.models.deletion.SET_DEFAULT, to='webmap.Status', verbose_name='status'),
        ),
        migrations.AlterField(
            model_name='property',
            name='default_icon',
            field=models.ImageField(blank=True, null=True, storage=webmap.utils.SlugifyFileSystemStorage(), upload_to='icons', verbose_name='default icon'),
        ),
        migrations.AlterField(
            model_name='property',
            name='status',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='webmap.Status', verbose_name='status'),
        ),
    ]
